List affiliates
curl --request GET \
--url https://{domain}/api/application/modules/affiliates/affiliates \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/affiliates/affiliates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/affiliates/affiliates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/affiliates/affiliates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/affiliates/affiliates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/affiliates/affiliates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/affiliates/affiliates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 43,
"user": {
"id": 27,
"name": "Priya Nair",
"email": "priya.nair@example.com"
},
"code": "EA763350",
"status": "approved",
"is_active": true,
"enrolled": true,
"referrer_affiliate_id": null,
"total_earnings": 0,
"available_balance": 0,
"paid_earnings": 0,
"balance_owed": 0,
"referrals_count": 0,
"converted_referrals_count": 0,
"total_clicks": 0,
"unique_clicks": 0,
"enrolled_at": "2026-09-04T11:52:00Z",
"approved_at": "2026-09-04T11:52:00Z",
"last_activity": "2026-09-04T11:52:00Z",
"created_at": "2026-09-04T11:52:00Z",
"updated_at": "2026-09-04T11:52:00Z"
},
{
"id": 1,
"user": {
"id": 2,
"name": "Alex Morgan",
"email": "alex.morgan@example.com"
},
"code": "81719002",
"status": "approved",
"is_active": true,
"enrolled": true,
"referrer_affiliate_id": null,
"total_earnings": 324.61,
"available_balance": 3.16,
"paid_earnings": 321.45,
"balance_owed": 0,
"referrals_count": 0,
"converted_referrals_count": 0,
"total_clicks": 17,
"unique_clicks": 5,
"enrolled_at": "2025-10-29T10:30:49Z",
"approved_at": "2025-10-29T10:30:49Z",
"last_activity": "2026-09-05T12:49:35Z",
"created_at": "2025-10-29T10:30:49Z",
"updated_at": "2026-09-05T12:49:35Z"
}
],
"meta": {
"request_id": "a40e4c98-92b0-49a0-b09d-ce0cd62650a9",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 2,
"last_page": 1
}
}
}Affiliates
List affiliates
Affiliates with earnings, referral and click totals.
Permission: modules.affiliates.affiliates.read
GET
/
application
/
modules
/
affiliates
/
affiliates
List affiliates
curl --request GET \
--url https://{domain}/api/application/modules/affiliates/affiliates \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/affiliates/affiliates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/affiliates/affiliates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/affiliates/affiliates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/affiliates/affiliates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/affiliates/affiliates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/affiliates/affiliates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 43,
"user": {
"id": 27,
"name": "Priya Nair",
"email": "priya.nair@example.com"
},
"code": "EA763350",
"status": "approved",
"is_active": true,
"enrolled": true,
"referrer_affiliate_id": null,
"total_earnings": 0,
"available_balance": 0,
"paid_earnings": 0,
"balance_owed": 0,
"referrals_count": 0,
"converted_referrals_count": 0,
"total_clicks": 0,
"unique_clicks": 0,
"enrolled_at": "2026-09-04T11:52:00Z",
"approved_at": "2026-09-04T11:52:00Z",
"last_activity": "2026-09-04T11:52:00Z",
"created_at": "2026-09-04T11:52:00Z",
"updated_at": "2026-09-04T11:52:00Z"
},
{
"id": 1,
"user": {
"id": 2,
"name": "Alex Morgan",
"email": "alex.morgan@example.com"
},
"code": "81719002",
"status": "approved",
"is_active": true,
"enrolled": true,
"referrer_affiliate_id": null,
"total_earnings": 324.61,
"available_balance": 3.16,
"paid_earnings": 321.45,
"balance_owed": 0,
"referrals_count": 0,
"converted_referrals_count": 0,
"total_clicks": 17,
"unique_clicks": 5,
"enrolled_at": "2025-10-29T10:30:49Z",
"approved_at": "2025-10-29T10:30:49Z",
"last_activity": "2026-09-05T12:49:35Z",
"created_at": "2025-10-29T10:30:49Z",
"updated_at": "2026-09-05T12:49:35Z"
}
],
"meta": {
"request_id": "a40e4c98-92b0-49a0-b09d-ce0cd62650a9",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 2,
"last_page": 1
}
}
}Authorizations
Query Parameters
Was this page helpful?

